Subject: Re: Arm + KASAN + syzbot

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 19 Jan 2021 11:13:19 +0000

On Tue, Jan 19, 2021 at 12:05:01PM +0100, Dmitry Vyukov wrote:
> But I also spied this in your makefile:
> 
> config-earlydebug: config-base
> $(CURDIR)/scripts/config --file $(config_file) \
> --enable DEBUG_LL \
> --enable EARLY_PRINTK \
> --enable DEBUG_VEXPRESS_UART0_RS1 \
> 
> With these configs, qemu prints something more useful:
> 
> pulseaudio: set_sink_input_volume() failed
> pulseaudio: Reason: Invalid argument
> pulseaudio: set_sink_input_mute() failed
> pulseaudio: Reason: Invalid argument
> Error: invalid dtb and unrecognized/unsupported machine ID
>   r1=0x000008e0, r2=0x00000000
> Available machine support:
> ID (hex) NAME
> ffffffff Generic DT based system
> ffffffff Samsung Exynos (Flattened Device Tree)
> ffffffff Hisilicon Hi3620 (Flattened Device Tree)
> ffffffff ARM-Versatile Express
> Please check your kernel config and/or bootloader.
> 
> 
> What does this mean? And is this affected by KASAN?... I do specify
> the ARM-Versatile Express machine...
> 
> Can it be too large kernel size which is not supported/properly
> diagnosed by qemu/kernel?

It means that your kernel only supports DT platforms, but there was
no DT passed to the kernel (r2 is the pointer to DT). Consequently
the kernel has no idea what hardware it is running on.

I don't use qemu very much, so I can't suggest anything.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel